## ros-lunar-rosbag 1.13.7

=== debian/changelog ===
ros-lunar-rosbag (1.13.7-0stretch) stretch; urgency=high

  * add TransportHint options --tcpnodelay and --udp (#1295 <https://github.com/ros/ros_comm/issues/1295>)
  * fix check for header first in rosbag play for rate control topic (#1352 <https://github.com/ros/ros_comm/issues/1352>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Aug 2018 07:00:00 -0000

ros-lunar-rosbag (1.13.6-0stretch) stretch; urgency=high

  * return an error status on error in rosbag (#1257 <https://github.com/ros/ros_comm/issues/1257>)
  * fix warn of --max-splits without --split (#1237 <https://github.com/ros/ros_comm/issues/1237>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 08:00:00 -0000

ros-lunar-rosbag (1.13.5-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 09 Nov 2017 08:00:00 -0000

ros-lunar-rosbag (1.13.4-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Nov 2017 07:00:00 -0000

ros-lunar-rosbag (1.13.3-0stretch) stretch; urgency=high

  * fix publishing of selected topics from bag file (#1156 <https://github.com/ros/ros_comm/issues/1156>)
  * fix Python 3 compatibility (#1150 <https://github.com/ros/ros_comm/issues/1150>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-lunar-rosbag (1.13.2-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Aug 2017 07:00:00 -0000

ros-lunar-rosbag (1.13.1-0stretch) stretch; urgency=high

  * fix handling connections without indices (#1109 <https://github.com/ros/ros_comm/pull/1109>)
  * improve message of check command (#1067 <https://github.com/ros/ros_comm/pull/1067>)
  * fix BZip2 inclusion (#1016 <https://github.com/ros/ros_comm/pull/1016>)
  * expose rate-control-topic and rate-control-max-delay args to command line tool (#1015 <https://github.com/ros/ros_comm/pull/1015>)
  * improve migration rule generation (#1009 <https://github.com/ros/ros_comm/pull/1009>, #1010 <https://github.com/ros/ros_comm/pull/1010>, #1011 <https://github.com/ros/ros_comm/pull/1011>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-lunar-rosbag (1.13.0-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-lunar-rosbag (1.12.7-0stretch) stretch; urgency=high

  * throw exception instead of accessing invalid memory (#971 <https://github.com/ros/ros_comm/pull/971>)
  * move headers to include/xmlrpcpp (#962 <https://github.com/ros/ros_comm/issues/962>)
  * added option wait-for-subscriber to rosbag play (#959 <https://github.com/ros/ros_comm/issues/959>)
  * terminate underlying rosbag play, record  on SIGTERM (#951 <https://github.com/ros/ros_comm/issues/951>)
  * add pause service for rosbag player (#949 <https://github.com/ros/ros_comm/issues/949>)
  * add rate-control-topic and rate-control-max-delay. (#947 <https://github.com/ros/ros_comm/issues/947>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-lunar-rosbag (1.12.6-0stretch) stretch; urgency=high

  * fix BagMigrationException in migrate_raw (#917 <https://github.com/ros/ros_comm/issues/917>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-lunar-rosbag (1.12.5-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-lunar-rosbag (1.12.4-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-lunar-rosbag (1.12.3-0stretch) stretch; urgency=high

  * set default values for min_space and min_space_str (#883 <https://github.com/ros/ros_comm/issues/883>)
  * record a maximum number of splits and then begin deleting old files (#866 <https://github.com/ros/ros_comm/issues/866>)
  * allow 64-bit sizes to be passed to robag max_size (#865 <https://github.com/ros/ros_comm/issues/865>)
  * update rosbag filter progress meter to use raw uncompressed input size (#857 <https://github.com/ros/ros_comm/issues/857>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-lunar-rosbag (1.12.2-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-lunar-rosbag (1.12.1-0stretch) stretch; urgency=high

  * promote the result of read_messages to a namedtuple (#777 <https://github.com/ros/ros_comm/pull/777>)
  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-lunar-rosbag (1.12.0-0stretch) stretch; urgency=high

  * add missing parameter to AdvertiseOptions::createAdvertiseOptions (#733 <https://github.com/ros/ros_comm/issues/733>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-lunar-rosbag (1.11.18-0stretch) stretch; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-lunar-rosbag (1.11.17-0stretch) stretch; urgency=high

  * use boost::make_shared instead of new for constructing boost::shared_ptr (#740 <https://github.com/ros/ros_comm/issues/740>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-lunar-rosbag (1.11.16-0stretch) stretch; urgency=high

  * show size unit for --size of rosbag record in help string (#697 <https://github.com/ros/ros_comm/pull/697>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-lunar-rosbag (1.11.15-0stretch) stretch; urgency=high

  * add option --prefix for prefixing output topics (#626 <https://github.com/ros/ros_comm/pull/626>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-lunar-rosbag (1.11.14-0stretch) stretch; urgency=high

  * reduce memory usage by using slots for IndexEntry types (#613 <https://github.com/ros/ros_comm/pull/613>)

