=== debian/control ===
Source: ros-lunar-rosbag
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, python-imaging, ros-lunar-catkin (>= 0.5.78), ros-lunar-cpp-common, ros-lunar-rosbag-storage, ros-lunar-rosconsole, ros-lunar-roscpp, ros-lunar-roscpp-serialization, ros-lunar-std-srvs, ros-lunar-topic-tools, ros-lunar-xmlrpcpp
Homepage: http://ros.org/wiki/rosbag
Standards-Version: 3.9.2

Package: ros-lunar-rosbag
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, python-rospkg, ros-lunar-genmsg, ros-lunar-genpy, ros-lunar-rosbag-storage, ros-lunar-rosconsole, ros-lunar-roscpp, ros-lunar-roslib, ros-lunar-rospy, ros-lunar-std-srvs, ros-lunar-topic-tools, ros-lunar-xmlrpcpp
Description: This is a set of tools for recording from and playing back to ROS topics.
 It is intended to be high performance and avoids deserialization and reserialization of the messages.
